import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  commissionBatchId: z.literal(true).optional(),
  paymentId: z.literal(true).optional(),
  collectionAmount: z.literal(true).optional()
}).strict();
export const CommissionBatchItemSumAggregateInputObjectSchema: z.ZodType<Prisma.CommissionBatchItemSumAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.CommissionBatchItemSumAggregateInputType>;
export const CommissionBatchItemSumAggregateInputObjectZodSchema = makeSchema();
